Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode

    java.lang.Object
      com.google.protobuf.AbstractMessageLite
          com.google.protobuf.AbstractMessage
              com.google.protobuf.GeneratedMessage
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder

Enclosing class:
  JBPMMessages.ProcessInstance.NodeInstanceContent

    public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode

extends com.google.protobuf.GeneratedMessage
implements JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder

Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode`

See Also:
  Serialized Form

Nested Class Summary
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode`

Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage
`com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

Field Summary
`static int` | `EXCLUSIVE_GROUP_FIELD_NUMBER`
`static int` | `ITERATIONLEVELS_FIELD_NUMBER`
`static int` | `NODE_INSTANCE_FIELD_NUMBER`
`static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode>` | `PARSER`
`static int` | `TIMER_INSTANCE_ID_FIELD_NUMBER`
`static int` | `VARIABLE_FIELD_NUMBER`

Fields inherited from class com.google.protobuf.GeneratedMessage
`alwaysUseFieldBuilders`

Method Summary
`static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `getDefaultInstance()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstance` | `getExclusiveGroup(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
`int` | `getExclusiveGroupCount()` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
`List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance>` | `getExclusiveGroupList()` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
`JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder` | `getExclusiveGroupOrBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
`List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder>` | `getExclusiveGroupOrBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`
`JBPMMessages.IterationLevel` | `getIterationLevels(int index)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
`int` | `getIterationLevelsCount()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
`List<JBPMMessages.IterationLevel>` | `getIterationLevelsList()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
`JBPMMessages.IterationLevelOrBuilder` | `getIterationLevelsOrBuilder(int index)` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
`List<? extends JBPMMessages.IterationLevelOrBuilder>` | `getIterationLevelsOrBuilderList()` `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`
`JBPMMessages.ProcessInstance.NodeInstance` | `getNodeInstance(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
`int` | `getNodeInstanceCount()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
`List<JBPMMessages.ProcessInstance.NodeInstance>` | `getNodeInstanceList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
`JBPMMessages.ProcessInstance.NodeInstanceOrBuilder` | `getNodeInstanceOrBuilder(int index)` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
`List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder>` | `getNodeInstanceOrBuilderList()` `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`
`com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode>` | `getParserForType()`
`int` | `getSerializedSize()`
`long` | `getTimerInstanceId(int index)` `repeated int64 timer_instance_id = 2;`
`int` | `getTimerInstanceIdCount()` `repeated int64 timer_instance_id = 2;`
`List<Long>` | `getTimerInstanceIdList()` `repeated int64 timer_instance_id = 2;`
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
`JBPMMessages.Variable` | `getVariable(int index)` `repeated .org.jbpm.marshalling.Variable variable = 3;`
`int` | `getVariableCount()` `repeated .org.jbpm.marshalling.Variable variable = 3;`
`List<JBPMMessages.Variable>` | `getVariableList()` `repeated .org.jbpm.marshalling.Variable variable = 3;`
`JBPMMessages.VariableOrBuilder` | `getVariableOrBuilder(int index)` `repeated .org.jbpm.marshalling.Variable variable = 3;`
`List<? extends JBPMMessages.VariableOrBuilder>` | `getVariableOrBuilderList()` `repeated .org.jbpm.marshalling.Variable variable = 3;`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `newBuilder()`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `newBuilder(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode prototype)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `newBuilderForType()`
`protected JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `parseDelimitedFrom(InputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `parseFrom(byte[] data)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `parseFrom(com.google.protobuf.ByteString data)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `parseFrom(com.google.protobuf.CodedInputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `parseFrom(InputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder` | `toBuilder()`
`protected Object` | `writeReplace()`
`void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

Methods inherited from class com.google.protobuf.GeneratedMessage
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

Methods inherited from class com.google.protobuf.AbstractMessage
`equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

Methods inherited from class com.google.protobuf.AbstractMessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

Methods inherited from interface com.google.protobuf.MessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Field Detail

### PARSER

    public static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode> PARSER

### TIMER_INSTANCE_ID_FIELD_NUMBER

    public static final int TIMER_INSTANCE_ID_FIELD_NUMBER

See Also:
  Constant Field Values

### VARIABLE_FIELD_NUMBER

    public static final int VARIABLE_FIELD_NUMBER

See Also:
  Constant Field Values

### NODE_INSTANCE_FIELD_NUMBER

    public static final int NODE_INSTANCE_FIELD_NUMBER

See Also:
  Constant Field Values

### EXCLUSIVE_GROUP_FIELD_NUMBER

    public static final int EXCLUSIVE_GROUP_FIELD_NUMBER

See Also:
  Constant Field Values

### ITERATIONLEVELS_FIELD_NUMBER

    public static final int ITERATIONLEVELS_FIELD_NUMBER

See Also:
  Constant Field Values

Method Detail

### getDefaultInstance

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode getDefaultInstance()

### getDefaultInstanceForType

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

  Specified by:
    `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

### getParserForType

    public com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode> getParserForType()

  Specified by:
    `getParserForType` in interface `com.google.protobuf.Message`
  Specified by:
    `getParserForType` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getParserForType` in class `com.google.protobuf.GeneratedMessage`

### getTimerInstanceIdList

    public List<Long> getTimerInstanceIdList()

  `repeated int64 timer_instance_id = 2;`

  Specified by:
    `getTimerInstanceIdList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getTimerInstanceIdCount

    public int getTimerInstanceIdCount()

  `repeated int64 timer_instance_id = 2;`

  Specified by:
    `getTimerInstanceIdCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getTimerInstanceId

    public long getTimerInstanceId(int index)

  `repeated int64 timer_instance_id = 2;`

  Specified by:
    `getTimerInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getVariableList

    public List<JBPMMessages.Variable> getVariableList()

  `repeated .org.jbpm.marshalling.Variable variable = 3;`

  Specified by:
    `getVariableList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getVariableOrBuilderList

    public List<? extends JBPMMessages.VariableOrBuilder> getVariableOrBuilderList()

  `repeated .org.jbpm.marshalling.Variable variable = 3;`

  Specified by:
    `getVariableOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getVariableCount

    public int getVariableCount()

  `repeated .org.jbpm.marshalling.Variable variable = 3;`

  Specified by:
    `getVariableCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getVariable

    public JBPMMessages.Variable getVariable(int index)

  `repeated .org.jbpm.marshalling.Variable variable = 3;`

  Specified by:
    `getVariable` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getVariableOrBuilder

    public JBPMMessages.VariableOrBuilder getVariableOrBuilder(int index)

  `repeated .org.jbpm.marshalling.Variable variable = 3;`

  Specified by:
    `getVariableOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getNodeInstanceList

    public List<JBPMMessages.ProcessInstance.NodeInstance> getNodeInstanceList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

  Specified by:
    `getNodeInstanceList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getNodeInstanceOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.NodeInstanceOrBuilder> getNodeInstanceOrBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

  Specified by:
    `getNodeInstanceOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getNodeInstanceCount

    public int getNodeInstanceCount()

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

  Specified by:
    `getNodeInstanceCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getNodeInstance

    public JBPMMessages.ProcessInstance.NodeInstance getNodeInstance(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

  Specified by:
    `getNodeInstance` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getNodeInstanceOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceOrBuilder getNodeInstanceOrBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.NodeInstance node_instance = 4;`

  Specified by:
    `getNodeInstanceOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getExclusiveGroupList

    public List<JBPMMessages.ProcessInstance.ExclusiveGroupInstance> getExclusiveGroupList()

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

  Specified by:
    `getExclusiveGroupList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getExclusiveGroupOrBuilderList

    public List<? extends JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder> getExclusiveGroupOrBuilderList()

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

  Specified by:
    `getExclusiveGroupOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getExclusiveGroupCount

    public int getExclusiveGroupCount()

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

  Specified by:
    `getExclusiveGroupCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getExclusiveGroup

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstance getExclusiveGroup(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

  Specified by:
    `getExclusiveGroup` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getExclusiveGroupOrBuilder

    public JBPMMessages.ProcessInstance.ExclusiveGroupInstanceOrBuilder getExclusiveGroupOrBuilder(int index)

  `repeated .org.jbpm.marshalling.ProcessInstance.ExclusiveGroupInstance exclusive_group = 5;`

  Specified by:
    `getExclusiveGroupOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getIterationLevelsList

    public List<JBPMMessages.IterationLevel> getIterationLevelsList()

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

  Specified by:
    `getIterationLevelsList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getIterationLevelsOrBuilderList

    public List<? extends JBPMMessages.IterationLevelOrBuilder> getIterationLevelsOrBuilderList()

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

  Specified by:
    `getIterationLevelsOrBuilderList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getIterationLevelsCount

    public int getIterationLevelsCount()

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

  Specified by:
    `getIterationLevelsCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getIterationLevels

    public JBPMMessages.IterationLevel getIterationLevels(int index)

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

  Specified by:
    `getIterationLevels` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### getIterationLevelsOrBuilder

    public JBPMMessages.IterationLevelOrBuilder getIterationLevelsOrBuilder(int index)

  `repeated .org.jbpm.marshalling.IterationLevel iterationLevels = 6;`

  Specified by:
    `getIterationLevelsOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage`

### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

  Specified by:
    `writeTo` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `writeTo` in class `com.google.protobuf.AbstractMessage`
  Throws:
    `IOException`

### getSerializedSize

    public int getSerializedSize()

  Specified by:
    `getSerializedSize` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

  Overrides:
    `writeReplace` in class `com.google.protobuf.GeneratedMessage`
  Throws:
    `ObjectStreamException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode parseFrom(com.google.protobuf.ByteString data)
                                                                                           throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode parseFrom(com.google.protobuf.ByteString data,
                                                                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                           throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode parseFrom(byte[] data)
                                                                                           throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode parseFrom(byte[] data,
                                                                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                           throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode parseFrom(InputStream input)
                                                                                           throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode parseFrom(InputStream input,
                                                                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                           throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode parseDelimitedFrom(InputStream input)
                                                                                                    throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode parseDelimitedFrom(InputStream input,
                                                                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                                    throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode parseFrom(com.google.protobuf.CodedInputStream input)
                                                                                           throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode parseFrom(com.google.protobuf.CodedInputStream input,
                                                                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                           throws IOException

  Throws:
    `IOException`

### newBuilder

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder newBuilder()

### newBuilderForType

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder newBuilderForType()

  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.Message`
  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder newBuilder(JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode prototype)

### toBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder toBuilder()

  Specified by:
    `toBuilder` in interface `com.google.protobuf.Message`
  Specified by:
    `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

    protected JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

  Specified by:
    `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.